package com.nbclass.szxgl.model;

import java.util.Date;
import javax.persistence.*;

@Table(name = "project_task_journal_comment")
public class ProjectTaskJournalComment {
    /**
     * ID, 主键,自增
     */
    @Id
    private Integer id;

    /**
     * 创建时间
     */
    @Column(name = "_create_time")
    private Date createTime;

    /**
     * 关联的任务日志id
     */
    @Column(name = "_project_task_journal_id")
    private String projectTaskJournalId;

    /**
     * 评论人id
     */
    @Column(name = "_user_id")
    private String userId;

    /**
     * 评论内容
     */
    @Column(name = "_content")
    private String content;

    /**
     * 获取ID, 主键,自增
     *
     * @return id - ID, 主键,自增
     */
    public Integer getId() {
        return id;
    }

    /**
     * 设置ID, 主键,自增
     *
     * @param id ID, 主键,自增
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取创建时间
     *
     * @return _create_time - 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 设置创建时间
     *
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取关联的任务日志id
     *
     * @return _project_task_journal_id - 关联的任务日志id
     */
    public String getProjectTaskJournalId() {
        return projectTaskJournalId;
    }

    /**
     * 设置关联的任务日志id
     *
     * @param projectTaskJournalId 关联的任务日志id
     */
    public void setProjectTaskJournalId(String projectTaskJournalId) {
        this.projectTaskJournalId = projectTaskJournalId;
    }

    /**
     * 获取评论人id
     *
     * @return _user_id - 评论人id
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 设置评论人id
     *
     * @param userId 评论人id
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取评论内容
     *
     * @return _content - 评论内容
     */
    public String getContent() {
        return content;
    }

    /**
     * 设置评论内容
     *
     * @param content 评论内容
     */
    public void setContent(String content) {
        this.content = content;
    }
}